<?

//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------

	include_once ('class/MailList.class.inc');
	
	CheckCallIsCorrect();

	$desc = "";
	$email = "";
	$mail_disabled = "";
		
	global $HTTP_POST_VARS, $REQUEST_METHOD, $folders, $active_folder;
	
	if( !isset( $active_folder ) )
	{
		echo "<font class=bodyText>You should define though one maillist first.<br>
		Please, go to the menu <a href=\"MailManager.php?mid=0\">Maillists/Manage</a> and add the maillist.
		</font>";
		exit;		
	}

	if( $REQUEST_METHOD == 'POST' )
	{
		$desc = stripslashes( $HTTP_POST_VARS['description'] );
		$email = stripslashes( $HTTP_POST_VARS['email'] );
		$mail_disabled = $HTTP_POST_VARS['mail_disabled'];
		
		if( $mail_disabled )
			$mail_disabled = true;
		
		//
		// Reading existing addresses	
		
		$mail_list = new MailList;
		$msg = "";		
		
		//
		// Validate description
		
		if( $desc == "" )
			$desc = $email;
		
		//
		// Validate email address
		
		if( $email == "" )
			$msg = $msg . "<li><b>Address</b> field should be entered.</li>\n";
		else
			if( $mail_list->HasEMail( $email ) )
				$msg = $msg . "<li><b>E-Mail address</b> already exists.</li>\n";
			
		//
		// If all is ok - try to add
		
		if( $msg == "" && !IsDemo() )
		{
			
			$password = substr( md5( uniqid('') ), 0, 10);
			
			$mail_list->AddNew( $desc, $email, $mail_disabled, true, $password );
			if( !$mail_list->Write() )
				$msg = $msg . "<li>Failed to write data file.</li>\n";
			else
				print "<p class=varningText>User $desc &lt;$email&gt; successfuly added.</p>";
		}
		
		if( IsDemo() )
		{
			print "<P class=varningText>You can not add new address as guest. If you want to test
				mail send functionality, go directly to <b>Send Mail</b> menu and enter your address for
				test in the special edit box.</P>";
		}
		
		//
		// If error message is not empty - show error
		
		if( $msg != "" )
		{
			print "<P class=bodyText>Failed to add new address:</P>";
			print "<font class=varningText>\n";
			print "<UL>\n";
			print $msg. "\n";
			print "</UL>\n";
			print "</font>\n";
		}
		else
		{
			// Clear form data - all is ok.
			
			$desc = "";
			$email = "";
			$mail_disabled = false;
		}
	}
?>

<P class=bodyText>Please, enter information and press <b>Add</b> button.</P>

<form name="add" method="post" action="<?=$target;?>">
<table width="50%" class="bodyText">
<tr><td colspan="2" height="10" bgcolor="#e0e0e0"></td></tr>
<tr>
	<td width="30%">
		Name:
	</td>
	<td>
		<input type="text" name="description" size="50" maxlength=100 value="<?=$desc;?>">
	</td>
</tr>
<tr>
	<td width="30%">
		Address:
	</td>
	<td>
		<input type="text" name="email" size="50" maxlength=100 value="<?=$email;?>">
	</td>
</tr>
<tr>
	<td width="30%">
		Disabled:
	</td>
	<td>
<?php
	if( $mail_disabled )
		print '<input name=mail_disabled type=checkbox checked>';
	else
		print '<input name=mail_disabled type=checkbox>';
?>
	</td>
</tr>
<tr><td colspan="2" height="10" bgcolor="#e0e0e0"></td></tr>
<tr>
	<td width="50%">&nbsp;</td>
	<td align=right>
		<input class=field type=submit name="submit" value="Add" style="width: 50px; heigth: 18px; font-size: 12px">		
	</td>
</tr>
</table>
</form>