<?
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	include_once ('class/MailList.class.inc');
	include_once ('class/ArchiveIndex.class.inc');
	
	CheckCallIsCorrect();
	
	global $HTTP_POST_VARS, $REQUEST_METHOD, $folders, $active_folder, $mid;
	
	if( $REQUEST_METHOD == 'POST' && !IsDemo() )
	{
		if( isset( $HTTP_POST_VARS['add'] ) )
		{
			$name = trim($HTTP_POST_VARS['name']);
			if( $name == '' )
				$msg = "You have entered empty name.";
			elseif( $folders->HasFolder( $name ) )
				$msg = "Maillist $name already exists. Please, enter another name.";
			else
			{
				$folders->Add( $name );
				$folders->Save();
				echo "
				<script>
					document.location = 'MailManager.php?mid=$mid';
				</script>
				";
			}
		}
		else
		{
			$new = $HTTP_POST_VARS['new'];
			$old = $HTTP_POST_VARS['old'];
			$del = $HTTP_POST_VARS['del'];
					
			if( is_array( $del ) )
				foreach( $del as $name ) {
					
					$archive = new ArchiveIndex( true, $active_folder );
					$archive -> DeleteFolderLetters( $name );
					$folders->Remove( $name );
					unset ( $archive );
					setcookie ( 'folder' );
					
				}
				
			if( is_array( $old ) )
				foreach( $old as $key => $name )
				{
					$newname = $new[$key];
					if( $newname != $name ) {
						
						
						$archive = new ArchiveIndex( true, $name );
						$archive -> ChangeFolder ( $name, $newname );
																	
						if( !$folders->RenameFolder( $name, $new[$key] ) ) 
							$msg .= "Can not rename maillist '$name' to $newname. Name already exists.<br>";
						
						
						
					}
				
				}
			
			if( $folders->changed )
			{
				$folders->Save();
				echo "
				<script>
					document.location = 'MailManager.php?mid=$mid';
				</script>
				";
			}
		}
	}
	
	if( $REQUEST_METHOD == 'POST' && IsDemo() )
	{
		print "<P class=varningText align=center>You can not edit maillists as guest.</P>";
	}
?>

<script language="JavaScript">
<!--
function SelectAll_Del()
{
	var i = 1;
	var chk = document.edit_form.selall_del.checked;
	while( eval('document.edit_form.del'+i) )
	{
 		eval('document.edit_form.del'+i+'.checked = chk');
		i++;
	}
}

// -->
</script>

<span class=bodyText>
Please, use in maillist names only alpha-numerical characters, otherwise it will lead
to script errors.<p>
<?=$msg?>
</span>

<form name="add_form" method="post" action="<?=$target;?>">
<span class="bodyText">
Add new maillist:
<input type=text name="name" size=50 maxlength=50>
<input type=hidden name=add value="Add">
<input type=submit name=add value="Add">
</span>
</form>

<form name="edit_form" method="post" action="<?=$target;?>">
<table width="90%" class="bodyText">
<tr>
	<td width="7%"bgcolor="#e0e0e0">&nbsp;</td>
	<td width="75%"bgcolor="#e0e0e0">
		Name
	</td>
	<td width="15%"bgcolor="#e0e0e0">
		Delete
	</td>
</tr>

<?php
	$index = 1;
	
	foreach( $folders->data as $name => $no )
	{
		$txt_class = "BlackText";
		
		$disp = htmlspecialchars( $name );
		
		print <<<END
		<tr>
			<td>
				<img src="images/folder.gif">
			</td>
			<td>
				<input type=hidden name="old[$no]" value="$disp">
				<input type=text name="new[$no]" value="$disp" size=50 maxlength=50>
			</td>
			<td>
				<input name="del[]" id="del$index" value="$disp" type=checkbox>
			</td>
		</tr>
END;
		$index++;
	}

if ( $index>1 ) {
?>

<tr><td colspan="3" height="10" bgcolor="#e0e0e0"></td></tr>
<tr>
	<td colspan=2>&nbsp;</td>
	<td>
		<input name="selall_del" type=checkbox value="Select All" onclick="javascript:SelectAll_Del();">
		<font color="red" size=-1>Select All</font>
	</td>
</tr>
<tr><td colspan="3" height="10" bgcolor="#e0e0e0"></td></tr>

<tr>
	<td colspan="2">&nbsp;</td>
	<td>
		<input name="submit" type=submit value="Update">
	</td>
</tr>

<?php
}
else echo "

	<tr><td colspan='3' align='center'><br>No Maillists</td></tr>
	
	";
?>

</table>

</form>

